Uploaded image for project: 'TeamCity Artifactory Plug-in'
  1. TeamCity Artifactory Plug-in
  2. TCAP-157

Forcing SVN working copy version to 1.6

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: 1 - Blocker
    • Resolution: Done
    • Affects Version/s: 2.1.4
    • Fix Version/s: 2.1.5
    • Environment:

      Windows 2008R2 server, Teamcity and Artifactory installed on the same test machine. Also occurred when attaching to my production TeamCity on a separate server.

      Description

      I have some builds setup with SVN 1.7 checkouts, the build scripts utilize SharpSVN 1.7 so this is a requirement.
      When I add this plugin to TeamCity, all of my working copies are forced to be 1.6, breaking my builds. The setting in the TeamCity source control block still shows as 1.7, so setting this will not effect the working copy version.

      When I removed the plugin, my working copies immediately reverted to 1.7 versions, allowing for a fast recovery once I realized the issue.
      A new version of SVNKit is out that supports 1.7 working copies.

        Attachments

          Activity

            People

            Assignee:
            noam.tenne Noam Y. Tenne (Inactive)
            Reporter:
            greigm Greig Maybery (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: